
TYPO3.Flow - Bug # 47675

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Core
Created: 2013-04-28 Assigned To: Karsten Dambekalns
Updated: 2013-05-01 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Flow 2.0.0 beta 2
Subject: PSR-0 compatible classes using underscore cannot be loaded
Description

PSR-0 mandates that backslashes and underscores be translated to directory separators when loading classes. This is not done in
our ClassLoader, thus packages that otherwise are compatible (composer / PSR-0) are not usable.

Associated revisions
Revision 24e15e46 - 2013-04-28 21:50 - Karsten Dambekalns

[BUGFIX] ClassLoader does not handle underscore correctly

For class names containing an underscore the ClassLoader now correctly
replaces that with a directory separator when loading classes.

This fixes compatibility with some PSR-0 compatible composer packages.

Change-Id: If94af25455c460b8eaebea4879738a69b461cbfb
Fixes: #47675
Releases: master, 2.0

Revision fd830e6a - 2013-05-01 11:44 - Karsten Dambekalns

[BUGFIX] ClassLoader does not handle underscore correctly

For class names containing an underscore the ClassLoader now correctly
replaces that with a directory separator when loading classes.

This fixes compatibility with some PSR-0 compatible composer packages.

Change-Id: If94af25455c460b8eaebea4879738a69b461cbfb
Fixes: #47675
Releases: master, 2.0

History
#1 - 2013-04-28 21:51 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20274

#2 - 2013-05-01 11:44 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/20371

#3 - 2013-05-01 12:37 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:24e15e460535f5002d9b2fdb6a700618b0e9a85a.
